#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    double A[n], P[n], najv = 0;
    for (int i = 0; i < n; i++)
        cin >> A[i] >> P[i];
    for (int i = 0; i < n; i++)
    {
        double ukupno = 0;
         for (int j = 0; j < n; j++)
         {
             if (P[i] <= P[j])
                ukupno += P[i] / 100 * A[j];

         }
         if (ukupno > najv)
            najv = ukupno;
    }
    cout << najv;
}